Skip to main content
GET
/
products
List Products
curl --request GET \
  --url https://services.leadconnectorhq.com/products \
  --header 'Authorization: Bearer <token>' \
  --header 'Version: <version>'
{
  "products": [
    {
      "_id": "655b33a82209e60b6adb87a5",
      "locationId": "3SwdhCsvxI8Au3KsPJt6",
      "name": "Awesome Product",
      "productType": "PHYSICAL",
      "createdAt": "2023-11-20T10:23:36.515Z",
      "updatedAt": "2024-01-23T09:57:04.846Z",
      "description": "This is a really awesome product",
      "variants": [
        {
          "id": "38s63qmxfr4",
          "name": "Size",
          "options": [
            {
              "id": "h4z7u0im2q8",
              "name": "XL"
            }
          ]
        }
      ],
      "availableInStore": true,
      "statementDescriptor": "abcde",
      "image": "https://storage.googleapis.com/ghl-test/3SwdhCsvxI8Au3KsPJt6/media/65af8d5df88bdb4b1022ee90.png",
      "collectionIds": [
        "65d71377c326ea78e1c47df5",
        "65d71377c326ea78e1c47d34"
      ],
      "isTaxesEnabled": true,
      "taxes": [
        "654492a4e6bef380114de15a"
      ],
      "automaticTaxCategoryId": "65d71377c326ea78e1c47df5",
      "label": {
        "title": "Featured",
        "startDate": "2024-06-26T05:43:35.000Z",
        "endDate": "2024-06-30T05:43:39.000Z"
      },
      "slug": "washing-machine"
    }
  ],
  "total": [
    {
      "total": 20
    }
  ]
}

Authorizations

Authorization
string
header
required

Use the Access Token generated with user type as Sub-Account (OR) Private Integration Token of Sub-Account.

Headers

Version
enum<string>
required

API Version

Available options:
2021-07-28

Query Parameters

limit
number
default:0

The maximum number of items to be included in a single page of results

Example:

20

offset
number
default:0

The starting index of the page, indicating the position from which the results should be retrieved.

Example:

0

locationId
string
required

LocationId is the id of the sub-account

Example:

"3SwdhCu3svxI8AKsPJt6"

The name of the product for searching.

Example:

"Awesome product"

collectionIds
string

Filter by product category Ids. Supports comma separated values

collectionSlug
string

The slug value of the collection by which the collection would be searched

expand
string[]

Name of an entity whose data has to be fetched along with product. Possible entities are tax, stripe and paypal. If not mentioned, only ID will be returned in case of taxes

productIds
string[]

List of product ids to be fetched.

storeId
string

fetch and project products based on the storeId

Example:

"3SwdhCu3svxI8AKsPJt6"

includedInStore
boolean

Separate products by which are included in the store and which are not

Example:

true

availableInStore
boolean

If the product is included in the online store

Example:

true

sortOrder
enum<string>

The order of sort which should be applied for the date

Available options:
asc,
desc
Example:

"desc"

Response

Successful response

products
object[]
required

An array of products

total
object[]
required

list products status

Last modified on March 4, 2026